Loading...
Searching...
No Matches
Dune::Selection< TS, TG, TL, N > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

A cached selection of indices. More...

`#include <dune/common/parallel/selection.hh>`

## Public Types

typedef TS | AttributeSet
| The type of the set of attributes.
typedef TG | GlobalIndex
| The type of the global index of the underlying index set.
typedef TL | LocalIndex
| The type of the local index of the underlying index set.
typedef Dune::ParallelIndexSet< GlobalIndex, LocalIndex, N > | ParallelIndexSet
| The type of the underlying index set.
typedef uint32_t * | iterator
| The type of the iterator of the selected indices.
typedef uint32_t * | const_iterator
| The type of the iterator of the selected indices.

## Public Member Functions

| Selection ()
| Selection (const ParallelIndexSet &indexset)
| ~Selection ()
void | setIndexSet (const ParallelIndexSet &indexset)
| Set the index set of the selection.
void | free ()
| Free allocated memory.
const_iterator | begin () const
| Get the index set we are a selection for.
const_iterator | end () const
| Get an iterator over the selected indices.

## Detailed Description

template<typename TS, typename TG, typename TL, int N>
class Dune::Selection< TS, TG, TL, N >

A cached selection of indices.

## Member Typedef Documentation

## AttributeSet

template<typename TS, typename TG, typename TL, int N>

typedef TS Dune::Selection< TS, TG, TL, N >::AttributeSet

The type of the set of attributes.

It has to provide a static method

bool contains(AttributeType a);
Dune::contains
constexpr std::bool_constant<((II==value)||...)> contains(std::integer_sequence< T, II... >, std::integral_constant< T, value >)
Checks whether or not a given sequence contains a value.
Definition integersequence.hh:137

that returns true if a is in the set. Such types are EnumItem, EnumRange, Combine.

## const_iterator

template<typename TS, typename TG, typename TL, int N>

typedef uint32_t* Dune::Selection< TS, TG, TL, N >::const_iterator

The type of the iterator of the selected indices.

## GlobalIndex

template<typename TS, typename TG, typename TL, int N>

typedef TG Dune::Selection< TS, TG, TL, N >::GlobalIndex

The type of the global index of the underlying index set.

## iterator

template<typename TS, typename TG, typename TL, int N>

typedef uint32_t* Dune::Selection< TS, TG, TL, N >::iterator

The type of the iterator of the selected indices.

## LocalIndex

template<typename TS, typename TG, typename TL, int N>

typedef TL Dune::Selection< TS, TG, TL, N >::LocalIndex

The type of the local index of the underlying index set.

It has to provide a function

AttributeType attribute();

## ParallelIndexSet

template<typename TS, typename TG, typename TL, int N>

typedef Dune::ParallelIndexSet<GlobalIndex,LocalIndex,N> Dune::Selection< TS, TG, TL, N >::ParallelIndexSet

The type of the underlying index set.

## Constructor & Destructor Documentation

## Selection() [1/2]

template<typename TS, typename TG, typename TL, int N>

Dune::Selection< TS, TG, TL, N >::Selection | ( |  | ) |

inline

## Selection() [2/2]

template<typename TS, typename TG, typename TL, int N>

Dune::Selection< TS, TG, TL, N >::Selection | ( | const ParallelIndexSet & | indexset | ) |

inline

The documentation for this class was generated from the following file:

- selection.hh